Bug 1575878 - [abrt] PackageKit: allocator_memalign(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: allocator_memalign(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b3f3eb0c28a8fb5da3bb899edca...
: 1636594 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 07:23 UTC by Giacomo Longo
Modified: 2019-05-28 22:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:45:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.60 KB, text/plain)
2018-05-08 07:23 UTC, Giacomo Longo
no flags Details
File: cgroup (184 bytes, text/plain)
2018-05-08 07:23 UTC, Giacomo Longo
no flags Details
File: core_backtrace (13.34 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: dso_list (7.87 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: environ (305 bytes, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: maps (37.10 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: mountinfo (4.03 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: open_fds (3.86 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details
File: var_log_messages (986 bytes, text/plain)
2018-05-08 07:24 UTC, Giacomo Longo
no flags Details

Description Giacomo Longo 2018-05-08 07:23:50 UTC
Description of problem:
Pressed refresh on gnome-software

Version-Release number of selected component:
PackageKit-1.1.10-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: allocator_memalign
executable:     /usr/libexec/packagekitd
journald_cursor: s=c872af7cae6446ea9d68323b32f89af1;i=8ca6;b=49501bff882f4173aee3bee0b8f656e7;m=11ccdf18e;t=56b85ab6cb1dc;x=89854559e3f35a03
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1477018

Comment 1 Giacomo Longo 2018-05-08 07:23:57 UTC
Created attachment 1433027 [details]
File: backtrace

Comment 2 Giacomo Longo 2018-05-08 07:23:58 UTC
Created attachment 1433028 [details]
File: cgroup

Comment 3 Giacomo Longo 2018-05-08 07:24:00 UTC
Created attachment 1433029 [details]
File: core_backtrace

Comment 4 Giacomo Longo 2018-05-08 07:24:01 UTC
Created attachment 1433030 [details]
File: cpuinfo

Comment 5 Giacomo Longo 2018-05-08 07:24:03 UTC
Created attachment 1433031 [details]
File: dso_list

Comment 6 Giacomo Longo 2018-05-08 07:24:04 UTC
Created attachment 1433032 [details]
File: environ

Comment 7 Giacomo Longo 2018-05-08 07:24:06 UTC
Created attachment 1433033 [details]
File: limits

Comment 8 Giacomo Longo 2018-05-08 07:24:08 UTC
Created attachment 1433034 [details]
File: maps

Comment 9 Giacomo Longo 2018-05-08 07:24:10 UTC
Created attachment 1433035 [details]
File: mountinfo

Comment 10 Giacomo Longo 2018-05-08 07:24:11 UTC
Created attachment 1433036 [details]
File: open_fds

Comment 11 Giacomo Longo 2018-05-08 07:24:13 UTC
Created attachment 1433037 [details]
File: proc_pid_status

Comment 12 Giacomo Longo 2018-05-08 07:24:15 UTC
Created attachment 1433038 [details]
File: var_log_messages

Comment 13 Brian J. Murrell 2018-06-04 15:14:03 UTC
Similar problem has been detected:

Don't know what caused this

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: allocator_memalign
executable:     /usr/libexec/packagekitd
journald_cursor: s=4ed7b43bd8fa49bab28403484556be59;i=1832a2;b=c009a0600ea646bb9600ae79890b416d;m=150f382b9c;t=56db56fb9ea3c;x=5d0777cf0113366
kernel:         4.16.12-300.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 14 Renich Bon Ciric 2018-10-05 19:44:48 UTC
*** Bug 1636594 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2019-05-02 20:44:24 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 22:45:49 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.